From bbb48ad5446dc6c4eba50d1d85745d09bd688e39 Mon Sep 17 00:00:00 2001
From: Sergey Fedorov <barracuda@macos-powerpc.org>
Date: Thu, 3 Jul 2025 02:16:34 +0800
Subject: [PATCH 2/3] Fix dependencies headers

---
 qmmp/src/plugins/Effect/sonic/sonicplugin.h                | 2 +-
 qmmp/src/plugins/Input/main/wavpack/decoder_wavpack.h      | 2 +-
 qmmp/src/plugins/Input/main/wavpack/wavpackmetadatamodel.h | 2 +-
 qmmp/src/plugins/Input/tracker/asap/asaphelper.h           | 2 +-
 qmmp/src/plugins/Input/tracker/fc14/fc14helper.h           | 2 +-
 qmmp/src/plugins/Input/tracker/hively/hivelyhelper.h       | 2 +-
 qmmp/src/plugins/Input/tracker/sc68/sc68helper.h           | 2 +-
 qmmp/src/plugins/Input/tracker/stsound/stsoundhelper.h     | 2 +-
 qmmp/src/plugins/Input/zed/dca/dcahelper.h                 | 3 +--
 qmmp/src/plugins/Input/zed/qoa/qoahelper.h                 | 2 +-
 qmmp/src/plugins/Input/zed/v2m/v2mhelper.cpp               | 4 ++--
 qmmp/src/plugins/Input/zed/v2m/v2mhelper.h                 | 2 +-
 12 files changed, 13 insertions(+), 14 deletions(-)

diff --git qmmp/src/plugins/Effect/sonic/sonicplugin.h qmmp/src/plugins/Effect/sonic/sonicplugin.h
index 501ec8f87..3f43ef2c0 100644
--- qmmp/src/plugins/Effect/sonic/sonicplugin.h
+++ qmmp/src/plugins/Effect/sonic/sonicplugin.h
@@ -21,7 +21,7 @@
 
 #include <QMutex>
 #include <qmmp/effect.h>
-#include <libsonic/sonic.h>
+#include <sonic.h>
 
 #define DEFAULT_RATIO 50
 
diff --git qmmp/src/plugins/Input/tracker/asap/asaphelper.h qmmp/src/plugins/Input/tracker/asap/asaphelper.h
index c63623e83..df081b7b0 100644
--- qmmp/src/plugins/Input/tracker/asap/asaphelper.h
+++ qmmp/src/plugins/Input/tracker/asap/asaphelper.h
@@ -21,7 +21,7 @@
 
 #include <QFile>
 #include <qmmp/qmmp.h>
-#include <libasap/asap.h>
+#include <asap.h>
 
 /*!
  * @author Greedysky <greedysky@163.com>
diff --git qmmp/src/plugins/Input/tracker/fc14/fc14helper.h qmmp/src/plugins/Input/tracker/fc14/fc14helper.h
index b53338b48..f15fae8ab 100644
--- qmmp/src/plugins/Input/tracker/fc14/fc14helper.h
+++ qmmp/src/plugins/Input/tracker/fc14/fc14helper.h
@@ -21,7 +21,7 @@
 
 #include <QFile>
 #include <qmmp/qmmp.h>
-#include <libfc14/fc14audiodecoder.h>
+#include <fc14audiodecoder.h>
 
 /*!
  * @author Greedysky <greedysky@163.com>
 diff --git qmmp/src/plugins/Input/tracker/hively/hivelyhelper.h qmmp/src/plugins/Input/tracker/hively/hivelyhelper.h
index 7f00540af..6fc4c2bec 100644
--- qmmp/src/plugins/Input/tracker/hively/hivelyhelper.h
+++ qmmp/src/plugins/Input/tracker/hively/hivelyhelper.h
@@ -22,7 +22,7 @@
 #include <QFile>
 #include <qmmp/qmmp.h>
 extern "C" {
-#include <libhively/hvl_replay.h>
+#include <hvl_replay.h>
 }
 
 /*!
diff --git qmmp/src/plugins/Input/tracker/sc68/sc68helper.h qmmp/src/plugins/Input/tracker/sc68/sc68helper.h
index 5fcf084ed..37c95e920 100644
--- qmmp/src/plugins/Input/tracker/sc68/sc68helper.h
+++ qmmp/src/plugins/Input/tracker/sc68/sc68helper.h
@@ -23,7 +23,7 @@
 #include <cstdint>
 #include <qmmp/trackinfo.h>
 extern "C" {
-#include <libsc68/sc68/sc68.h>
+#include <sc68.h>
 }
 
 /*!
diff --git qmmp/src/plugins/Input/tracker/stsound/stsoundhelper.h qmmp/src/plugins/Input/tracker/stsound/stsoundhelper.h
index 7df438d96..28c72ecdb 100644
--- qmmp/src/plugins/Input/tracker/stsound/stsoundhelper.h
+++ qmmp/src/plugins/Input/tracker/stsound/stsoundhelper.h
@@ -21,7 +21,7 @@
 
 #include <QFile>
 #include <qmmp/qmmp.h>
-#include <libstsound/ym_music.h>
+#include <libstsound/YmMusic.h>
 
 /*!
  * @author Greedysky <greedysky@163.com>
diff --git qmmp/src/plugins/Input/zed/dca/dcahelper.h qmmp/src/plugins/Input/zed/dca/dcahelper.h
index 97e366560..632b6666f 100644
--- qmmp/src/plugins/Input/zed/dca/dcahelper.h
+++ qmmp/src/plugins/Input/zed/dca/dcahelper.h
@@ -22,7 +22,7 @@
 #include <QFile>
 extern "C" {
 #include <stdio_file.h>
-#include <libdca/dca.h>
+#include <dca.h>
 }
 
 #define BUFFER_SIZE 65536
diff --git qmmp/src/plugins/Input/zed/qoa/qoahelper.h qmmp/src/plugins/Input/zed/qoa/qoahelper.h
index 8846209c8..5cc17d33c 100755
--- qmmp/src/plugins/Input/zed/qoa/qoahelper.h
+++ qmmp/src/plugins/Input/zed/qoa/qoahelper.h
@@ -22,7 +22,7 @@
 #include <QFile>
 #include <qmmp/qmmp.h>
 extern "C" {
-#include <libqoa/qoaplay.h>
+#include <qoaplay.h>
 }
 
 /*!
diff --git qmmp/src/plugins/Input/zed/v2m/v2mhelper.cpp qmmp/src/plugins/Input/zed/v2m/v2mhelper.cpp
index ac5617858..c5f03d57c 100644
--- qmmp/src/plugins/Input/zed/v2m/v2mhelper.cpp
+++ qmmp/src/plugins/Input/zed/v2m/v2mhelper.cpp
@@ -1,8 +1,8 @@
 #include "v2mhelper.h"
 #include "archivereader.h"
 
-#include <libv2m/v2mconv.h>
-#include <libv2m/sounddef.h>
+#include <v2m/v2mconv.h>
+#include <v2m/sounddef.h>
 
 static bool v2mInitialized = false;
 int loadAndConvert(unsigned char *module, qint64 size, uint8_t **conv, int *convlen)
diff --git qmmp/src/plugins/Input/zed/v2m/v2mhelper.h qmmp/src/plugins/Input/zed/v2m/v2mhelper.h
index bc6fc3dac..b37c20a7d 100644
--- qmmp/src/plugins/Input/zed/v2m/v2mhelper.h
+++ qmmp/src/plugins/Input/zed/v2m/v2mhelper.h
@@ -20,7 +20,7 @@
 #define V2MHELPER_H
 
 #include <QFile>
-#include <libv2m/v2mplayer.h>
+#include <v2m/v2mplayer.h>
 
 /*!
  * @author Greedysky <greedysky@163.com>
--- qmmp/src/plugins/Input/tracker/tfmx/tfmxhelper.h	2025-12-24 09:05:39.000000000 +0800
+++ qmmp/src/plugins/Input/tracker/tfmx/tfmxhelper.h	2025-12-28 13:17:00.000000000 +0800
@@ -22,7 +22,7 @@
 #include <QFileInfo>
 #include <QStringList>
 #include <qmmp/trackinfo.h>
-#include <libtfmx/tfmxaudiodecoder.h>
+#include <tfmxaudiodecoder.h>
 
 /*!
  * @author Greedysky <greedysky@163.com>
